osmium::geom::MercatorProjection Class Reference

`#include <mercator_projection.hpp>`

## Public Member Functions

Coordinates | operator() (osmium::Location location) const
int | epsg () const noexcept
std::string | proj_string () const

## Detailed Description

Functor that does projection from WGS84 (EPSG:4326) to "Web Mercator" (EPSG:3857)

## Member Function Documentation

int osmium::geom::MercatorProjection::epsg | ( |  | ) | const

inline noexcept

Coordinates osmium::geom::MercatorProjection::operator() | ( | osmium::Location | location | ) | const

inline

std::string osmium::geom::MercatorProjection::proj_string | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- osmium/geom/mercator_projection.hpp